Skip to main content
PATCH
Update Mcp Server Configuration

Headers

x-api-key
string | null

Your API key for programmatic access. Send it in the x-api-key header; you can create and manage keys from the Developers page.

Path Parameters

mcp_server_id
string
required

ID of the MCP Server.

Body

application/json

Configuration updates for an MCP Server.

approval_policy
enum<string> | null
default:require_approval_all

The approval mode to set for the MCP server

Available options:
auto_approve_all,
require_approval_all,
require_approval_per_tool
pre_tool_speech
enum<string> | null

If set, overrides the server's pre_tool_speech setting for this tool.

Available options:
auto,
force,
off
interruption_mode
enum<string> | null
default:allow

If set, overrides the server's interruption_mode setting for this tool.

Available options:
allow,
disable_during_tool,
disable_during_tool_and_turn
tool_call_sound
enum<string> | null

Predefined tool call sound type to play during tool execution for all tools from this MCP server

Available options:
typing,
elevator1,
elevator2,
elevator3,
elevator4
tool_call_sound_behavior
enum<string> | null

Determines when the tool call sound should play for all tools from this MCP server

Available options:
auto,
always
execution_mode
enum<string> | null

If set, overrides the server's execution_mode setting for this tool

Available options:
immediate,
post_tool_speech,
async
response_timeout_secs
integer | null

The maximum time in seconds to wait for each MCP tool call to complete.

Required range: 5 <= x <= 300
request_headers
Request Headers · object | null

The headers to include in requests to the MCP server

request_meta
Request Meta · object | null

Entries sent in the MCP _meta field of tools/call requests. Values may be JSON scalars, or references to a workspace secret, dynamic variable, or environment variable resolved per call.

disable_compression
boolean | null

Whether to disable HTTP compression for this MCP server

secret_token
ConvAISecretLocator · object | null

Optional secret token for authentication with this MCP server

auth_connection
AuthConnectionLocator · object

Used to reference an auth connection from the workspace's auth connection store.

Response

Successful Response

Response model representing an MCP Server configuration.

id
string
required
config
MCPServerConfig · object
required
metadata
MCPServerMetadataResponseModel · object
required

The metadata of the MCP Server

access_info
ResourceAccessInfo · object | null

The access information of the MCP Server

Example:
dependent_agents
(DependentAvailableAgentIdentifier · object | DependentUnknownAgentIdentifier · object)[]

List of agents that depend on this MCP Server.